
#pragma once
#include <string>
#include <vector>

class CommandlineParameter
{
private:
    std::vector<std::string> m_Arguments;

public:
    CommandlineParameter(){};

    void setArgs( int argc, char** argv );

    bool checkToken( std::string token, std::string& param );
    bool checkToken( std::string token );
};
